json
{
"DistributorName": "Telegent Distributor 2",
"BillingAddress": {
"Street1": "",
"Street2": "",
"City": "",
"State": "",
"Zip": "",
"Country": ""
},
"MailingAddress": {
"Street1": "",
"Street2": "",
"City": "",
"State": "",
"Zip": "",
"Country": ""
}
}curl -X POST https://api.telegent.com/v1.0/distributor/create \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"DistributorName": "Telegent Distributor 2",
"BillingAddress": {
"Street1": "",
"City": "",
"State": "",
"Zip": ""
}
}'import requests
url = "https://api.telegent.com/v1.0/distributor/create"
payload = {
"DistributorName": "Telegent Distributor 2",
"BillingAddress": {
"Street1": "",
"Street2": "",
"City": "",
"State": "",
"Zip": "",
"Country": ""
},
"MailingAddress": {
"Street1": "",
"Street2": "",
"City": "",
"State": "",
"Zip": "",
"Country": ""
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
DistributorName: 'Telegent Distributor 2',
BillingAddress: {Street1: '', Street2: '', City: '', State: '', Zip: '', Country: ''},
MailingAddress: {Street1: '', Street2: '', City: '', State: '', Zip: '', Country: ''}
})
};
fetch('https://api.telegent.com/v1.0/distributor/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"DistributorId": "DID-eab92510-1040-45a5-bb9c-0bad9272f89d",
"DistributorName": "Telegent Account 2",
"AccountKey": "DID-eab92510-1040-45a5-bb9c-0bad9272f89d",
"Secret": "10400bad9272f89deab92512",
"TotalAccounts": 16,
"BillingAddress": {
"Street1": null,
"Street2": "NULL",
"City": null,
"State": null,
"Zip": null,
"Country": null
},
"MailingAddress": {
"Street1": null,
"Street2": null,
"City": null,
"State": null,
"Zip": null,
"Country": null
}
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Distributors
Create Distributor
Create a new distributor with billing and mailing address information. Returns the newly created distributor details including account key and secret.
What this does: Returns the new distributor’s DistributorId (DID-) and created record. The DID- is the root identifier for all accounts, packages, and products under this distributor.
Next steps:
- Create an account under this distributor —
POST /v1.0/account/create
POST
/
v1.0
/
distributor
/
create
json
{
"DistributorName": "Telegent Distributor 2",
"BillingAddress": {
"Street1": "",
"Street2": "",
"City": "",
"State": "",
"Zip": "",
"Country": ""
},
"MailingAddress": {
"Street1": "",
"Street2": "",
"City": "",
"State": "",
"Zip": "",
"Country": ""
}
}curl -X POST https://api.telegent.com/v1.0/distributor/create \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"DistributorName": "Telegent Distributor 2",
"BillingAddress": {
"Street1": "",
"City": "",
"State": "",
"Zip": ""
}
}'import requests
url = "https://api.telegent.com/v1.0/distributor/create"
payload = {
"DistributorName": "Telegent Distributor 2",
"BillingAddress": {
"Street1": "",
"Street2": "",
"City": "",
"State": "",
"Zip": "",
"Country": ""
},
"MailingAddress": {
"Street1": "",
"Street2": "",
"City": "",
"State": "",
"Zip": "",
"Country": ""
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
DistributorName: 'Telegent Distributor 2',
BillingAddress: {Street1: '', Street2: '', City: '', State: '', Zip: '', Country: ''},
MailingAddress: {Street1: '', Street2: '', City: '', State: '', Zip: '', Country: ''}
})
};
fetch('https://api.telegent.com/v1.0/distributor/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"DistributorId": "DID-eab92510-1040-45a5-bb9c-0bad9272f89d",
"DistributorName": "Telegent Account 2",
"AccountKey": "DID-eab92510-1040-45a5-bb9c-0bad9272f89d",
"Secret": "10400bad9272f89deab92512",
"TotalAccounts": 16,
"BillingAddress": {
"Street1": null,
"Street2": "NULL",
"City": null,
"State": null,
"Zip": null,
"Country": null
},
"MailingAddress": {
"Street1": null,
"Street2": null,
"City": null,
"State": null,
"Zip": null,
"Country": null
}
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}⌘I